{
    "CVars": {
        "gControllers": {
            "AxisDirectionMappings": {
                "P0-S0-D0-KB30": {
                    "AxisDirectionMappingClass": "KeyboardKeyToAxisDirectionMapping",
                    "Direction": 0,
                    "KeyboardScancode": 30,
                    "Stick": 0
                },
                "P0-S0-D0-SDLA0-ADN": {
                    "AxisDirection": -1,
                    "AxisDirectionMappingClass": "SDLAxisDirectionToAxisDirectionMapping",
                    "Direction": 0,
                    "SDLControllerAxis": 0,
                    "Stick": 0
                },
                "P0-S0-D1-KB32": {
                    "AxisDirectionMappingClass": "KeyboardKeyToAxisDirectionMapping",
                    "Direction": 1,
                    "KeyboardScancode": 32,
                    "Stick": 0
                },
                "P0-S0-D1-SDLA0-ADP": {
                    "AxisDirection": 1,
                    "AxisDirectionMappingClass": "SDLAxisDirectionToAxisDirectionMapping",
                    "Direction": 1,
                    "SDLControllerAxis": 0,
                    "Stick": 0
                },
                "P0-S0-D2-KB17": {
                    "AxisDirectionMappingClass": "KeyboardKeyToAxisDirectionMapping",
                    "Direction": 2,
                    "KeyboardScancode": 17,
                    "Stick": 0
                },
                "P0-S0-D2-SDLA1-ADN": {
                    "AxisDirection": -1,
                    "AxisDirectionMappingClass": "SDLAxisDirectionToAxisDirectionMapping",
                    "Direction": 2,
                    "SDLControllerAxis": 1,
                    "Stick": 0
                },
                "P0-S0-D3-KB31": {
                    "AxisDirectionMappingClass": "KeyboardKeyToAxisDirectionMapping",
                    "Direction": 3,
                    "KeyboardScancode": 31,
                    "Stick": 0
                },
                "P0-S0-D3-SDLA1-ADP": {
                    "AxisDirection": 1,
                    "AxisDirectionMappingClass": "SDLAxisDirectionToAxisDirectionMapping",
                    "Direction": 3,
                    "SDLControllerAxis": 1,
                    "Stick": 0
                },
                "P0-S1-D0-SDLA2-ADN": {
                    "AxisDirection": -1,
                    "AxisDirectionMappingClass": "SDLAxisDirectionToAxisDirectionMapping",
                    "Direction": 0,
                    "SDLControllerAxis": 2,
                    "Stick": 1
                },
                "P0-S1-D1-SDLA2-ADP": {
                    "AxisDirection": 1,
                    "AxisDirectionMappingClass": "SDLAxisDirectionToAxisDirectionMapping",
                    "Direction": 1,
                    "SDLControllerAxis": 2,
                    "Stick": 1
                },
                "P0-S1-D2-SDLA3-ADN": {
                    "AxisDirection": -1,
                    "AxisDirectionMappingClass": "SDLAxisDirectionToAxisDirectionMapping",
                    "Direction": 2,
                    "SDLControllerAxis": 3,
                    "Stick": 1
                },
                "P0-S1-D3-SDLA3-ADP": {
                    "AxisDirection": 1,
                    "AxisDirectionMappingClass": "SDLAxisDirectionToAxisDirectionMapping",
                    "Direction": 3,
                    "SDLControllerAxis": 3,
                    "Stick": 1
                }
            },
            "ButtonMappings": {
                "P0-B1-KB333": {
                    "Bitmask": 1,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 333
                },
                "P0-B1-SDLA2-ADP": {
                    "AxisDirection": 1,
                    "Bitmask": 1,
                    "ButtonMappingClass": "SDLAxisDirectionToButtonMapping",
                    "SDLControllerAxis": 2
                },
                "P0-B1024-KB34": {
                    "Bitmask": 1024,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 34
                },
                "P0-B1024-SDLB12": {
                    "Bitmask": 1024,
                    "ButtonMappingClass": "SDLButtonToButtonMapping",
                    "SDLControllerButton": 12
                },
                "P0-B16-KB19": {
                    "Bitmask": 16,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 19
                },
                "P0-B16-SDLB10": {
                    "Bitmask": 16,
                    "ButtonMappingClass": "SDLButtonToButtonMapping",
                    "SDLControllerButton": 10
                },
                "P0-B16384-KB46": {
                    "Bitmask": 16384,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 46
                },
                "P0-B16384-SDLB2": {
                    "Bitmask": 16384,
                    "ButtonMappingClass": "SDLButtonToButtonMapping",
                    "SDLControllerButton": 2
                },
                "P0-B2-KB331": {
                    "Bitmask": 2,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 331
                },
                "P0-B2-SDLA5-ADP": {
                    "AxisDirection": 1,
                    "Bitmask": 2,
                    "ButtonMappingClass": "SDLAxisDirectionToButtonMapping",
                    "SDLControllerAxis": 5
                },
                "P0-B2-SDLB3": {
                    "Bitmask": 2,
                    "ButtonMappingClass": "SDLButtonToButtonMapping",
                    "SDLControllerButton": 3
                },
                "P0-B2048-KB20": {
                    "Bitmask": 2048,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 20
                },
                "P0-B2048-SDLB11": {
                    "Bitmask": 2048,
                    "ButtonMappingClass": "SDLButtonToButtonMapping",
                    "SDLControllerButton": 11
                },
                "P0-B256-KB35": {
                    "Bitmask": 256,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 35
                },
                "P0-B256-SDLB14": {
                    "Bitmask": 256,
                    "ButtonMappingClass": "SDLButtonToButtonMapping",
                    "SDLControllerButton": 14
                },
                "P0-B32-KB18": {
                    "Bitmask": 32,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 18
                },
                "P0-B32768-KB45": {
                    "Bitmask": 32768,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 45
                },
                "P0-B32768-SDLB0": {
                    "Bitmask": 32768,
                    "ButtonMappingClass": "SDLButtonToButtonMapping",
                    "SDLControllerButton": 0
                },
                "P0-B4-KB336": {
                    "Bitmask": 4,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 336
                },
                "P0-B4-SDLA4-ADP": {
                    "AxisDirection": 1,
                    "Bitmask": 4,
                    "ButtonMappingClass": "SDLAxisDirectionToButtonMapping",
                    "SDLControllerAxis": 4
                },
                "P0-B4-SDLB1": {
                    "Bitmask": 4,
                    "ButtonMappingClass": "SDLButtonToButtonMapping",
                    "SDLControllerButton": 1
                },
                "P0-B4096-KB57": {
                    "Bitmask": 4096,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 57
                },
                "P0-B4096-SDLB6": {
                    "Bitmask": 4096,
                    "ButtonMappingClass": "SDLButtonToButtonMapping",
                    "SDLControllerButton": 6
                },
                "P0-B512-KB33": {
                    "Bitmask": 512,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 33
                },
                "P0-B512-SDLB13": {
                    "Bitmask": 512,
                    "ButtonMappingClass": "SDLButtonToButtonMapping",
                    "SDLControllerButton": 13
                },
                "P0-B8-KB328": {
                    "Bitmask": 8,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 328
                },
                "P0-B8-SDLA3-ADN": {
                    "AxisDirection": -1,
                    "Bitmask": 8,
                    "ButtonMappingClass": "SDLAxisDirectionToButtonMapping",
                    "SDLControllerAxis": 3
                },
                "P0-B8192-KB44": {
                    "Bitmask": 8192,
                    "ButtonMappingClass": "KeyboardKeyToButtonMapping",
                    "KeyboardScancode": 44
                },
                "P0-B8192-SDLB9": {
                    "Bitmask": 8192,
                    "ButtonMappingClass": "SDLButtonToButtonMapping",
                    "SDLControllerButton": 9
                }
            },
            "Port1": {
                "Buttons": {
                    "AButtonMappingIds": "P0-B32768-KB45,P0-B32768-SDLB0,",
                    "BButtonMappingIds": "P0-B16384-SDLB2,P0-B16384-KB46,",
                    "CDownButtonMappingIds": "P0-B4-KB336,P0-B4-SDLB1,P0-B4-SDLA4-ADP,",
                    "CLeftButtonMappingIds": "P0-B2-SDLB3,P0-B2-KB331,P0-B2-SDLA5-ADP,",
                    "CRightButtonMappingIds": "P0-B1-SDLA2-ADP,P0-B1-KB333,",
                    "CUpButtonMappingIds": "P0-B8-KB328,P0-B8-SDLA3-ADN,",
                    "DDownButtonMappingIds": "P0-B1024-SDLB12,P0-B1024-KB34,",
                    "DLeftButtonMappingIds": "P0-B512-KB33,P0-B512-SDLB13,",
                    "DRightButtonMappingIds": "P0-B256-KB35,P0-B256-SDLB14,",
                    "DUpButtonMappingIds": "P0-B2048-SDLB11,P0-B2048-KB20,",
                    "LButtonMappingIds": "P0-B32-KB18,",
                    "RButtonMappingIds": "P0-B16-KB19,P0-B16-SDLB10,",
                    "StartButtonMappingIds": "P0-B4096-KB57,P0-B4096-SDLB6,",
                    "ZButtonMappingIds": "P0-B8192-KB44,P0-B8192-SDLB9,"
                },
                "HasConfig": 1,
                "LeftStick": {
                    "DeadzonePercentage": 0,
                    "DownAxisDirectionMappingIds": "P0-S0-D3-KB31,P0-S0-D3-SDLA1-ADP,",
                    "LeftAxisDirectionMappingIds": "P0-S0-D0-KB30,P0-S0-D0-SDLA0-ADN,",
                    "NotchSnapAngle": 0,
                    "RightAxisDirectionMappingIds": "P0-S0-D1-KB32,P0-S0-D1-SDLA0-ADP,",
                    "SensitivityPercentage": 100,
                    "UpAxisDirectionMappingIds": "P0-S0-D2-KB17,P0-S0-D2-SDLA1-ADN,"
                },
                "RightStick": {
                    "DeadzonePercentage": 0,
                    "DownAxisDirectionMappingIds": "P0-S1-D3-SDLA3-ADP,",
                    "LeftAxisDirectionMappingIds": "P0-S1-D0-SDLA2-ADN,",
                    "NotchSnapAngle": 0,
                    "RightAxisDirectionMappingIds": "P0-S1-D1-SDLA2-ADP,",
                    "SensitivityPercentage": 100,
                    "UpAxisDirectionMappingIds": "P0-S1-D2-SDLA3-ADN,"
                },
                "RumbleMappingIds": "P0,"
            },
            "RumbleMappings": {
                "P0": {
                    "HighFrequencyIntensity": 50,
                    "LowFrequencyIntensity": 50,
                    "RumbleMappingClass": "SDLRumbleMapping"
                }
            }
        },
        "gDebugPause": 0,
        "gEnhancements": {
            "Mods": {
                "AlternateAssets": 0
            }
        },
        "gForceCursorVisibility": 0,
        "gHUDAspectRatio": {
            "Enabled": 1,
            "Selection": 3,
            "X": 16,
            "Y": 9
        },
        "gHUDPointFiltering": 1,
        "gMSAAValue": 8,
        "gMainMusicVolume": 0.9900000095367432,
        "gMatchRefreshRate": 1,
        "gNotifications": 1,
        "gOpenMenuBar": 1,
        "gRenderParallelization": 1,
        "gSFXMusicVolume": 0.9900000095367432,
        "gTextureFilter": 0,
        "gVoiceLanguage": 1,
        "gVoiceVolume": 0.9900000095367432
    },
    "Window": {
        "AudioBackend": "wasapi",
        "Backend": {
            "Id": 0,
            "Name": "DirectX 11"
        },
        "Fullscreen": {
            "Enabled": false
        },
        "Height": 480,
        "PositionX": 100,
        "PositionY": 100,
        "Width": 640
    }
}